Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Suporte a browsers mais antigos

Oi.

Tenho, no código:

gulp.task('usemin', function() {
  return gulp.src('dist/**/*.html')
    .pipe(usemin({
      'js': [uglify],
      'css': [autoprefixer]
    }))
    .pipe(gulp.dest('dist'));
});

No arquivo browserslist:

last 40 versions

Rodo o "npm run gulp".

Ele roda, mas não aparece suporte para o browser Opera, ou seja não aparece a regra com prefixo "-o-".

O que pode ser?

1 resposta
solução

Achei uma resposta:

Estou usando:

gulp.task('usemin', function() {
  return gulp.src('dist/**/*.html')
    .pipe(usemin({
      'js': [uglify],
      'css': [autoprefixer({
            browsers: ['last 80 versions']
        })]
    }))
    .pipe(gulp.dest('dist'));
});

Um número bem exorbitante, ("last 80 versions"), mas funcionou.